﻿using System.Windows;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace WpfApplication12
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void WpfMap_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.DecimalDegree;
            GdalRasterLayer ecwLayer = new GdalRasterLayer(@"C:\temp\ST82\ST82.tif");
            ecwLayer.Open();
            RectangleShape rect = ecwLayer.GetBoundingBox();
            ecwLayer.Close();

            Proj4Projection projection = new Proj4Projection();
            projection.MemoryMode = Proj4MemoryMode.Unmanaged;
            projection.ExternalProjectionParametersString = Proj4Projection.GetWgs84ParametersString();
            projection.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(27700);
            projection.Open();
            ecwLayer.ImageSource.Projection = projection;
            RectangleShape externalExtent = projection.ConvertToExternalProjection(rect);
            Map1.CurrentExtent = externalExtent;

            LayerOverlay overlay = new LayerOverlay();
            //overlay.TileType = TileType.SingleTile;
            overlay.Layers.Add(ecwLayer);

            Map1.Overlays.Add(overlay);

            Map1.Refresh();
        }
    }
}
